{% extends "base/normal.html" %}

{% comment %}
Presenter Club - Make Great Presentations, Faster
Copyright (C) 2016 Sam Parkinson <sam@sam.today>

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
{% endcomment %}

{% block title %}Go Pro on Presenter Club{% endblock title %}

{% block content %}
<h1>Go Pro on Presenter Club</h1>
<p>With Pro, you can create private presentations, make custom styles,
   and access our concierge style service.
   <a href='{% url 'promo:plans' %}'>Learn more...</a></p>
<form action='{% url 'promo:gopro' %}' method="POST" id='payment-form'>
    {% csrf_token %}

    {{ form.non_field_errors }}

    <p>
        <label>Payment Option</label>
        {{ form.plan.errors }}
        <div>
            <input type='radio' name='plan' value='pro-m' />
            Monthly ($8 per month)
        </div>
        <div>
            <input type='radio' name='plan' value='pro-a'
                {% if not special_user %} checked {% endif %} />
            Yearly ($7 per month)
        </div>
        {% if special_user %}
            <div>
                <input type='radio' name='plan' value='pro-a-special' checked />
                Yearly <b>Special</b> ($12.60 per year)
            </div>
        {% endif %}
    </p>

    <p>
        <label for='idNumber'>Card Number</label>
        <input id='idNumber' type="text" size="20" data-stripe="number">
    </p>

    <p>
        <label>Expiration (MM/YY)</label>
        <span class='EXPInput'>
            <input placeholder='MM' type="text" size="2" data-stripe="exp_month">
            <span> / </span>
            <input placeholder='YY' type="text" size="2" data-stripe="exp_year">
        </span>
    </p>

    <p>
        <label>CVC</label>
        <input type="text" size="4" data-stripe="cvc">
    </p>

    <p>
        <label>Billing Zip</label>
        <input type="text" size="6" data-stripe="address_zip">
    </p>

    <input type="hidden" name='token' class='token' />

    <p style='display: none;' class='errorlist payment-errors'></p>
    <input type="submit" class="submit" value="Go Pro">
    <p>Payment secured by <a href='https://stripe.com/about'>Stripe</a>
       over a TLS connection.  All prices in AUD.</p>
</form>



<script type="text/javascript" src="https://js.stripe.com/v2/"></script>
<script type="text/javascript">
    Stripe.setPublishableKey('{{ settings.STRIPE_PK }}');

    var form = document.querySelector('#payment-form');
    form.addEventListener('submit', function(event) {
        console.log('submit');
        // Disable the submit button to prevent repeated clicks:
        document.querySelector('#payment-form .submit').disabled = true;

        // Request a token from Stripe:
        Stripe.card.createToken(form, stripeResponseHandler);

        // Prevent the form from being submitted:
        event.preventDefault();
    }, false);

    function stripeResponseHandler(status, response) {
        // Grab the form:
        if (response.error) { // Problem!
            // Show the errors on the form:
            form.querySelector('.payment-errors').innerHTML = response.error.message;
            form.querySelector('.payment-errors').style.display = 'block';
            form.querySelector('.submit').disabled = false;
        } else { // Token was created!
            // Get the token ID:
            var token = response.id;

            // Insert the token ID into the form so it gets submitted to the server:
            form.querySelector('.token').value = token;

            // Submit the form:
            form.submit();
        }
    };
</script>
{% endblock content %}

{% block shovel %}{% endblock shovel %}
